// BWMinuteTimer -- an on-the-minute timer

#import <Foundation/Foundation.h>


@interface BWMinuteTimer : NSObject
{
    NSTimer    *timer;		// the real timer
    int		lastFire;	// last time we fired

    id		target;		// user proc to invoke
    SEL		selector;
}


+ (BWMinuteTimer *) scheduleTimerWithTarget: (id) target
	selector: (SEL) selector
	userInfo: (id) userInfo;


// selected subset of the NSTimer API

- (id) userInfo;


@end // BWMinuteTimer


